#!/bin/sh

set -e
set -u
# DEBUG
set -x

# a wallet and verifier idhub for pilot-lafede
main() {
        # includes functions:
        #   common_start
        #   common_end
        . ./build__common.sh

        pilot='pilot-lafede'

        common_start

        # detect if is new
        if [ ! -f "./${idhub1}" ]; then
                echo 'Detected new deployment, recreating idhub git repo'
                cp -rp IdHub "${idhub1}"
                rm -f "${idhub1}/db.sqlite3"
        fi

        common_end
}

main "${@}"
